---

- name: Ensure directories exists
  ansible.builtin.file:
    state: directory
    mode: "0700"
    owner: "{{ elktail_user }}"
    group: "{{ elktail_user }}"
    recurse: true
    path: "{{ item }}"
  with_items:
    - "{{ elktail_check_path }}"

- name: Copy the elktail log check script
  ansible.builtin.template:
    src: elktail_check.sh.j2
    dest: "{{ elktail_check_path }}/elktail_check.sh"
    mode: '0755'
    owner: "{{ elktail_user }}"
    group: "{{ elktail_user }}"

- name: Ensure the log file exists and is writable by the elktail user
  ansible.builtin.file:
    path: /var/log/elktail_check.log
    state: touch
    mode: '0644'
    owner: "{{ elktail_user }}"
    group: "{{ elktail_user }}"

- name: Remove the elktail log check cron job
  ansible.builtin.cron:
    name: "Run elktail log check"
    state: absent
    user: "root"

- name: Create cron job to run the elktail log check
  ansible.builtin.cron:
    name: "Run elktail log check"
    minute: "{{ elktail_check_cron_minutes }}"
    job: "{{ elktail_check_path }}/elktail_check.sh >> /var/log/elktail_check.log 2>&1"
    user: "root"
